org.apache.lucene.search.spans

## Enum SpanWeight.Postings

- java.lang.Object
- - java.lang.Enum<SpanWeight.Postings>
  - - org.apache.lucene.search.spans.SpanWeight.Postings

- All Implemented Interfaces:
    Serializable, Comparable<SpanWeight.Postings>
  Enclosing class:
    SpanWeight

      public static enum SpanWeight.Postings
      extends Enum<SpanWeight.Postings>

  Enumeration defining what postings information should be retrieved from the index for a given Spans

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OFFSETS`
    `PAYLOADS`
    `POSITIONS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpanWeight.Postings` | `atLeast(SpanWeight.Postings postings)`
    `abstract int` | `getRequiredPostings()`
    `static SpanWeight.Postings` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpanWeight.Postings[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POSITIONS

          public static final SpanWeight.Postings POSITIONS

    - #### PAYLOADS

          public static final SpanWeight.Postings PAYLOADS

    - #### OFFSETS

          public static final SpanWeight.Postings OFFSETS

  - ### Method Detail

    - #### values

          public static SpanWeight.Postings[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpanWeight.Postings c : SpanWeight.Postings.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpanWeight.Postings valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getRequiredPostings

          public abstract int getRequiredPostings()

    - #### atLeast

          public SpanWeight.Postings atLeast(SpanWeight.Postings postings)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.